## org.eclipse.emf.cdo.common
Class CDOFetchRule

    java.lang.Object
      org.eclipse.emf.cdo.common.CDOFetchRule

    public final class CDOFetchRule

extends java.lang.Object

Since:
  2.0

Constructor Summary
`CDOFetchRule(CDODataInput in, CDOPackageRegistry packageManager)`
`CDOFetchRule(org.eclipse.emf.ecore.EClass eClass)`

Method Summary
`void` `addFeature(org.eclipse.emf.ecore.EStructuralFeature feature)`
`org.eclipse.emf.ecore.EClass` `getEClass()`
`java.util.List<org.eclipse.emf.ecore.EStructuralFeature>` `getFeatures()`
`boolean` `isEmpty()`
`void` `removeFeature(org.eclipse.emf.ecore.EStructuralFeature feature)`
`void` `write(CDODataOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CDOFetchRule

    public CDOFetchRule(org.eclipse.emf.ecore.EClass eClass)

### CDOFetchRule

    public CDOFetchRule(CDODataInput in,
                        CDOPackageRegistry packageManager)
                 throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### write

    public void write(CDODataOutput out)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### getEClass

    public org.eclipse.emf.ecore.EClass getEClass()

### getFeatures

    public java.util.List<org.eclipse.emf.ecore.EStructuralFeature> getFeatures()

### addFeature

    public void addFeature(org.eclipse.emf.ecore.EStructuralFeature feature)

### removeFeature

    public void removeFeature(org.eclipse.emf.ecore.EStructuralFeature feature)

### isEmpty

    public boolean isEmpty()

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.